.\"	$NetBSD: wm.4,v 1.19 2007/08/29 09:04:04 xtraeme Exp $
.\"
.\" Copyright 2002, 2003 Wasabi Systems, Inc.
.\" All rights reserved.
.\"
.\" Written by Jason R. Thorpe for Wasabi Systems, Inc.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed for the NetBSD Project by
.\"	Wasabi Systems, Inc.
.\" 4. The name of Wasabi Systems, Inc. may not be used to endorse
.\"    or promote products derived from this software without specific prior
.\"    written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY WASABI SYSTEMS, INC. ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL WASABI SYSTEMS, INC
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd August 28, 2007
.Dt WM 4
.Os
.Sh NAME
.Nm wm
.Nd Intel i8254x Gigabit Ethernet driver
.Sh SYNOPSIS
.Cd "wm* at pci? dev ? function ?"
.Pp
Configuration of PHYs may also be necessary.
See
.Xr mii 4 .
.Sh DESCRIPTION
The
.Nm
device driver supports Gigabit Ethernet interfaces based on the Intel
i8254x family of Gigabit Ethernet chips.
The interfaces supported by the
.Nm
driver include:
.Bl -bullet
.It
Intel i82542 1000BASE-X Ethernet
.It
Intel i82543GC 1000BASE-X Ethernet
.It
Intel i82543GC 1000BASE-T Ethernet
.It
Intel i82544EI 1000BASE-T Ethernet
.It
Intel i82544EI 1000BASE-X Ethernet
.It
Intel i82544GC 1000BASE-T Ethernet
.It
Intel i82544GC (LOM) 1000BASE-T Ethernet
.It
Intel i82540EM 1000BASE-T Ethernet
.It
Intel i82540EM (LOM) 1000BASE-T Ethernet
.It
Intel i82540EP 1000BASE-T Ethernet
.It
Intel i82541EI 1000BASE-T Ethernet
.It
Intel i82541EI (Mobile) 1000BASE-T Ethernet
.It
Intel i82541ER 1000BASE-T Ethernet
.It
Intel i82541GI 1000BASE-T Ethernet
.It
Intel i82541PI 1000BASE-T Ethernet
.It
Intel i82545EM 1000BASE-T Ethernet
.It
Intel i82545EM 1000BASE-X Ethernet
.It
Intel i82545GB 1000BASE-T Ethernet
.It
Intel i82545GB 1000BASE-X Ethernet
.It
Intel i82546EB 1000BASE-T Ethernet
.Pq dual-port
.It
Intel i82546EB 1000BASE-X Ethernet
.Pq dual-port
.It
Intel i82546GB 1000BASE-T Ethernet
.Pq dual-port
.It
Intel i82546GB 1000BASE-X Ethernet
.Pq dual-port
.It
Intel i82547EI 1000BASE-T Ethernet
.Pq CSA
.It
Intel i82547GI 1000BASE-T Ethernet
.Pq CSA
.It
Intel i82571 1000BASE-T Ethernet
.Pq dual-port
.It
Intel i82572 1000BASE-T Ethernet
.It
Intel i82573 1000BASE-T Ethernet
.It
Intel i82801H (ICH8 LAN) 1000BASE-T Ethernet
.It
Intel i82801I (ICH9 LAN) 1000BASE-T Ethernet
.It
Intel i80003 1000BASE-T Ethernet
.El
.Pp
In addition to Intel's own
.Dq PRO/1000
line of Gigabit Ethernet interfaces, these chips also appear on
some server systems, processor evaluation boards, and in embedded
systems.
.Pp
The i8254x supports IPv4/TCP/UDP checksumming and TCP segmentation
in hardware.
The
.Nm
driver supports these features of the chip.
See
.Xr ifconfig 8
for information on how to enable this feature.
.\" .Sh DIAGNOSTICS
.\" XXX to be done.
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ifmedia 4 ,
.Xr mii 4 ,
.Xr netintro 4 ,
.Xr pci 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.6 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Jason R. Thorpe Aq thorpej@wasabisystems.com .
.Sh BUGS
The Intel i82545GM and i82546GB controllers with internal SERDES are
not currently supported.
